The Supplier Scorecard Criteria object
Attributes
Unique identifier for the object.
ISO 8601 timestamp of when the object was created.
ISO 8601 timestamp of when the object was last updated.
Default: 100
{
"id": "supplier-scorecard-criteria_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"criteria_name": "criteria_name_example",
"max_score": 100,
"formula": "formula_example",
"weight": 0
} /api/buying/supplier-scorecard-criteria/{id} Retrieve a supplier scorecard criteria
Retrieves the details of an existing supplier scorecard criteria. Supply the unique supplier scorecard criteria ID that was returned from a previous request.
Path parameters
The identifier of the supplier scorecard criteria to retrieve.
Returns
Returns the supplier scorecard criteria object if a valid identifier was provided.
curl https://api.overplane.dev/api/buying/supplier-scorecard-criteria/supplier-scorecard-criteria_abc123 \
-H "Authorization: Bearer sk_test_..." {
"id": "supplier-scorecard-criteria_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"criteria_name": "criteria_name_example",
"max_score": 100,
"formula": "formula_example",
"weight": 0
} /api/buying/supplier-scorecard-criteria List all supplier scorecard criterias
Returns a list of supplier scorecard criterias. The results are sorted by creation date, with the most recently created appearing first.
Query parameters
Maximum number of objects to return. Default: 20.
Number of objects to skip for pagination. Default: 0.
Returns
A paginated list of supplier scorecard criteria objects.
curl https://api.overplane.dev/api/buying/supplier-scorecard-criteria \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "supplier-scorecard-criteria_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"criteria_name": "criteria_name_example",
"max_score": 100,
"formula": "formula_example",
"weight": 0
}
],
"has_more": false,
"total": 1
} /api/buying/supplier-scorecard-criteria Create a supplier scorecard criteria
Creates a new supplier scorecard criteria object.
Body parameters
Default: 100
Returns
Returns the newly created supplier scorecard criteria object if the call succeeded.
curl https://api.overplane.dev/api/buying/supplier-scorecard-criteria \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" \
-d '{"criteria_name":"criteria_name_example","formula":"formula_example"}' {
"id": "supplier-scorecard-criteria_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"criteria_name": "criteria_name_example",
"max_score": 100,
"formula": "formula_example",
"weight": 0
} /api/buying/supplier-scorecard-criteria/{id} Update a supplier scorecard criteria
Updates the specified supplier scorecard criteria by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the supplier scorecard criteria to update.
Body parameters
Default: 100
Returns
Returns the updated supplier scorecard criteria object.
curl https://api.overplane.dev/api/buying/supplier-scorecard-criteria/supplier-scorecard-criteria_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"criteria_name":"criteria_name_example","max_score":100}' {
"id": "supplier-scorecard-criteria_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"criteria_name": "criteria_name_example",
"max_score": 100,
"formula": "formula_example",
"weight": 0
} /api/buying/supplier-scorecard-criteria/{id} Delete a supplier scorecard criteria
Permanently deletes a supplier scorecard criteria. This cannot be undone.
Path parameters
The identifier of the supplier scorecard criteria to delete.
Returns
Returns a confirmation that the supplier scorecard criteria has been deleted.
curl https://api.overplane.dev/api/buying/supplier-scorecard-criteria/supplier-scorecard-criteria_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "supplier-scorecard-criteria_abc123",
"deleted": true
}